#ifndef __NIF_WORKERS_ATOM_H_
#define __NIF_WORKERS_ATOM_H_

#include<erl_nif.h>

#define NIF_ATOM_DECL(a) ERL_NIF_TERM atom_ ## a;
#define NIF_ATOM_INIT(a) atom_ ## a = enif_make_atom(env, #a);

#define NIF_ATOMS(A) \
    /* atom of common */ \
    A(ok) \
    A(quic) \
    A(error) \
    A(true) \
    A(false) \
    A(undefined) \
    A(freed)

NIF_ATOMS(NIF_ATOM_DECL)

#endif
